# eric5.Helpviewer.Bookmarks.BookmarkPropertiesDialog

Module implementing a dialog to show and edit bookmark properties.

### Global Attributes

None

### Classes

BookmarkPropertiesDialog | Class implementing a dialog to show and edit bookmark properties.

### Functions

None

## BookmarkPropertiesDialog

Class implementing a dialog to show and edit bookmark properties.

### Derived from

QDialog, Ui_BookmarkPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

BookmarkPropertiesDialog | Constructor
accept | Public slot handling the acceptance of the dialog.

### Static Methods

None

#### BookmarkPropertiesDialog (Constructor)

BookmarkPropertiesDialog(node, parent=None)

Constructor

node
  reference to the bookmark (BookmarkNode)
parent
  reference to the parent widget (QWidget)

#### BookmarkPropertiesDialog.accept

accept()

Public slot handling the acceptance of the dialog.

Up